<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Core-commissioning</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d7/d42/group__core-commissioning.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Core-commissioning</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga1f63c8d167d722b6d966216a099e5ca7"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d42/group__core-commissioning.html#ga1f63c8d167d722b6d966216a099e5ca7">otCommissionerEnergyReportCallback</a>) (uint32_t aChannelMask, const uint8_t *aEnergyList, uint8_t aEnergyListLength, void *aContext)</td></tr>
<tr class="memdesc:ga1f63c8d167d722b6d966216a099e5ca7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function pointer is called when the Commissioner receives an Energy Report.  <a href="#ga1f63c8d167d722b6d966216a099e5ca7">More...</a><br /></td></tr>
<tr class="separator:ga1f63c8d167d722b6d966216a099e5ca7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae7b76d9f6372ce6169950694b976e89e"><td class="memItemLeft" align="right" valign="top">typedef void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d42/group__core-commissioning.html#gae7b76d9f6372ce6169950694b976e89e">otCommissionerPanIdConflictCallback</a>) (uint16_t aPanId, uint32_t aChannelMask, void *aContext)</td></tr>
<tr class="memdesc:gae7b76d9f6372ce6169950694b976e89e"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function pointer is called when the Commissioner receives a PAN ID Conflict message.  <a href="#gae7b76d9f6372ce6169950694b976e89e">More...</a><br /></td></tr>
<tr class="separator:gae7b76d9f6372ce6169950694b976e89e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga854253a3f0689c0ad92d0787a5c7da80"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d42/group__core-commissioning.html#ga854253a3f0689c0ad92d0787a5c7da80">otCommissionerStart</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:ga854253a3f0689c0ad92d0787a5c7da80"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enables the Thread Commissioner role.  <a href="#ga854253a3f0689c0ad92d0787a5c7da80">More...</a><br /></td></tr>
<tr class="separator:ga854253a3f0689c0ad92d0787a5c7da80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3cd811aefff2ff186e755cf74a7869ef"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d42/group__core-commissioning.html#ga3cd811aefff2ff186e755cf74a7869ef">otCommissionerStop</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:ga3cd811aefff2ff186e755cf74a7869ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disables the Thread Commissioner role.  <a href="#ga3cd811aefff2ff186e755cf74a7869ef">More...</a><br /></td></tr>
<tr class="separator:ga3cd811aefff2ff186e755cf74a7869ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5ddd173d43687ca866240d437030f720"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d42/group__core-commissioning.html#ga5ddd173d43687ca866240d437030f720">otCommissionerAddJoiner</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, const <a class="el" href="../../d3/d8f/structotExtAddress.html">otExtAddress</a> *aExtAddress, const char *aPSKd)</td></tr>
<tr class="memdesc:ga5ddd173d43687ca866240d437030f720"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function adds a Joiner entry.  <a href="#ga5ddd173d43687ca866240d437030f720">More...</a><br /></td></tr>
<tr class="separator:ga5ddd173d43687ca866240d437030f720"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7eca08cb99f4224e37476b67a348ad9f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d42/group__core-commissioning.html#ga7eca08cb99f4224e37476b67a348ad9f">otCommissionerRemoveJoiner</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aIntsance, const <a class="el" href="../../d3/d8f/structotExtAddress.html">otExtAddress</a> *aExtAddress)</td></tr>
<tr class="memdesc:ga7eca08cb99f4224e37476b67a348ad9f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function removes a Joiner entry.  <a href="#ga7eca08cb99f4224e37476b67a348ad9f">More...</a><br /></td></tr>
<tr class="separator:ga7eca08cb99f4224e37476b67a348ad9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae331dc98d42e20b22a5e5fa1ef6495ab"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d42/group__core-commissioning.html#gae331dc98d42e20b22a5e5fa1ef6495ab">otCommissionerSetProvisioningUrl</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, const char *aProvisioningUrl)</td></tr>
<tr class="memdesc:gae331dc98d42e20b22a5e5fa1ef6495ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sets the Provisioning URL.  <a href="#gae331dc98d42e20b22a5e5fa1ef6495ab">More...</a><br /></td></tr>
<tr class="separator:gae331dc98d42e20b22a5e5fa1ef6495ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc7d7b8c957afd5f70262d76fb09e5c7"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d42/group__core-commissioning.html#gafc7d7b8c957afd5f70262d76fb09e5c7">otCommissionerAnnounceBegin</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint32_t aChannelMask, uint8_t aCount, uint16_t aPeriod, const <a class="el" href="../../d6/d55/structotIp6Address.html">otIp6Address</a> *aAddress)</td></tr>
<tr class="memdesc:gafc7d7b8c957afd5f70262d76fb09e5c7"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sends an Announce Begin message.  <a href="#gafc7d7b8c957afd5f70262d76fb09e5c7">More...</a><br /></td></tr>
<tr class="separator:gafc7d7b8c957afd5f70262d76fb09e5c7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae9ca3bf349ed3865e8a29b4dd4757ab9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d42/group__core-commissioning.html#gae9ca3bf349ed3865e8a29b4dd4757ab9">otCommissionerEnergyScan</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint32_t aChannelMask, uint8_t aCount, uint16_t aPeriod, uint16_t aScanDuration, const <a class="el" href="../../d6/d55/structotIp6Address.html">otIp6Address</a> *aAddress, <a class="el" href="../../d7/d42/group__core-commissioning.html#ga1f63c8d167d722b6d966216a099e5ca7">otCommissionerEnergyReportCallback</a> aCallback, void *aContext)</td></tr>
<tr class="memdesc:gae9ca3bf349ed3865e8a29b4dd4757ab9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sends an Energy Scan Query message.  <a href="#gae9ca3bf349ed3865e8a29b4dd4757ab9">More...</a><br /></td></tr>
<tr class="separator:gae9ca3bf349ed3865e8a29b4dd4757ab9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga22936071b82ace08544b3b40a585ee54"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d42/group__core-commissioning.html#ga22936071b82ace08544b3b40a585ee54">otCommissionerPanIdQuery</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, uint16_t aPanId, uint32_t aChannelMask, const <a class="el" href="../../d6/d55/structotIp6Address.html">otIp6Address</a> *aAddress, <a class="el" href="../../d7/d42/group__core-commissioning.html#gae7b76d9f6372ce6169950694b976e89e">otCommissionerPanIdConflictCallback</a> aCallback, void *aContext)</td></tr>
<tr class="memdesc:ga22936071b82ace08544b3b40a585ee54"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sends a PAN ID Query message.  <a href="#ga22936071b82ace08544b3b40a585ee54">More...</a><br /></td></tr>
<tr class="separator:ga22936071b82ace08544b3b40a585ee54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga85d8a2ef989afe2475ba56ce0f732a60"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d42/group__core-commissioning.html#ga85d8a2ef989afe2475ba56ce0f732a60">otSendMgmtCommissionerGet</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *, const uint8_t *aTlvs, uint8_t aLength)</td></tr>
<tr class="memdesc:ga85d8a2ef989afe2475ba56ce0f732a60"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sends MGMT_COMMISSIONER_GET.  <a href="#ga85d8a2ef989afe2475ba56ce0f732a60">More...</a><br /></td></tr>
<tr class="separator:ga85d8a2ef989afe2475ba56ce0f732a60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga35893b93367df048361583d6d95496de"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d42/group__core-commissioning.html#ga35893b93367df048361583d6d95496de">otSendMgmtCommissionerSet</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *, const <a class="el" href="../../da/da0/structotCommissioningDataset.html">otCommissioningDataset</a> *aDataset, const uint8_t *aTlvs, uint8_t aLength)</td></tr>
<tr class="memdesc:ga35893b93367df048361583d6d95496de"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function sends MGMT_COMMISSIONER_SET.  <a href="#ga35893b93367df048361583d6d95496de">More...</a><br /></td></tr>
<tr class="separator:ga35893b93367df048361583d6d95496de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6d56d0dab4187a01e9b07e485398db36"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d42/group__core-commissioning.html#ga6d56d0dab4187a01e9b07e485398db36">otJoinerStart</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance, const char *aPSKd, const char *aProvisioningUrl)</td></tr>
<tr class="memdesc:ga6d56d0dab4187a01e9b07e485398db36"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function enables the Thread Joiner role.  <a href="#ga6d56d0dab4187a01e9b07e485398db36">More...</a><br /></td></tr>
<tr class="separator:ga6d56d0dab4187a01e9b07e485398db36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf117a4c8483d3035d6d1a96684a0f6fa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d42/group__core-commissioning.html#gaf117a4c8483d3035d6d1a96684a0f6fa">otJoinerStop</a> (<a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *aInstance)</td></tr>
<tr class="memdesc:gaf117a4c8483d3035d6d1a96684a0f6fa"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disables the Thread Joiner role.  <a href="#gaf117a4c8483d3035d6d1a96684a0f6fa">More...</a><br /></td></tr>
<tr class="separator:gaf117a4c8483d3035d6d1a96684a0f6fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="ga1f63c8d167d722b6d966216a099e5ca7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* otCommissionerEnergyReportCallback) (uint32_t aChannelMask, const uint8_t *aEnergyList, uint8_t aEnergyListLength, void *aContext)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function pointer is called when the Commissioner receives an Energy Report. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aChannelMask</td><td>The channel mask value. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aEnergyList</td><td>A pointer to the energy measurement list. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aEnergyListLength</td><td>Number of entries in <code>aEnergyListLength</code>. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aContext</td><td>A pointer to application-specific context. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gae7b76d9f6372ce6169950694b976e89e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* otCommissionerPanIdConflictCallback) (uint16_t aPanId, uint32_t aChannelMask, void *aContext)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function pointer is called when the Commissioner receives a PAN ID Conflict message. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aPanId</td><td>The PAN ID value. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aChannelMask</td><td>The channel mask value. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aContext</td><td>A pointer to application-specific context. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga5ddd173d43687ca866240d437030f720"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otCommissionerAddJoiner </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="../../d3/d8f/structotExtAddress.html">otExtAddress</a> *&#160;</td>
          <td class="paramname"><em>aExtAddress</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>aPSKd</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function adds a Joiner entry. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aExtAddress</td><td>A pointer to the Joiner's extended address or NULL for any Joiner. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aPSKd</td><td>A pointer to the PSKd.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully added the Joiner. </td></tr>
    <tr><td class="paramname">kThreadError_NoBufs</td><td>No buffers available to add the Joiner. </td></tr>
    <tr><td class="paramname">kThreadError_InvalidArgs</td><td><code>aExtAddress</code> or <code>aPSKd</code> is invalid. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d42/group__core-commissioning_ga5ddd173d43687ca866240d437030f720_icgraph.png" border="0" usemap="#d7/d42/group__core-commissioning_ga5ddd173d43687ca866240d437030f720_icgraph" alt=""/></div>
<map name="d7/d42/group__core-commissioning_ga5ddd173d43687ca866240d437030f720_icgraph" id="d7/d42/group__core-commissioning_ga5ddd173d43687ca866240d437030f720_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="599,5,755,44"/>
<area shape="rect" id="node3" href="../../df/d4f/group__config-general.html#ga9afd26ff6b646388b25f62dd650cd785" title="This function sends MGMT_PENDING_SET. " alt="" coords="231,36,364,61"/>
<area shape="rect" id="node4" href="../../df/d2d/classThread_1_1Cli_1_1Dataset.html#acda5580472dea133cc225f32d7e90246" title="This method interprets a list of CLI arguments. " alt="" coords="412,33,551,72"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="gafc7d7b8c957afd5f70262d76fb09e5c7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otCommissionerAnnounceBegin </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>aChannelMask</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>aCount</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aPeriod</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="../../d6/d55/structotIp6Address.html">otIp6Address</a> *&#160;</td>
          <td class="paramname"><em>aAddress</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function sends an Announce Begin message. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aChannelMask</td><td>The channel mask value. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aCount</td><td>The number of energy measurements per channel. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aPeriod</td><td>The time between energy measurements (milliseconds). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aAddress</td><td>A pointer to the IPv6 destination.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully enqueued the Announce Begin message. </td></tr>
    <tr><td class="paramname">kThreadError_NoBufs</td><td>Insufficient buffers to generate an Announce Begin message. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d42/group__core-commissioning_gafc7d7b8c957afd5f70262d76fb09e5c7_icgraph.png" border="0" usemap="#d7/d42/group__core-commissioning_gafc7d7b8c957afd5f70262d76fb09e5c7_icgraph" alt=""/></div>
<map name="d7/d42/group__core-commissioning_gafc7d7b8c957afd5f70262d76fb09e5c7_icgraph" id="d7/d42/group__core-commissioning_gafc7d7b8c957afd5f70262d76fb09e5c7_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="634,5,789,44"/>
<area shape="rect" id="node3" href="../../df/d4f/group__config-general.html#ga9afd26ff6b646388b25f62dd650cd785" title="This function sends MGMT_PENDING_SET. " alt="" coords="265,36,398,61"/>
<area shape="rect" id="node4" href="../../df/d2d/classThread_1_1Cli_1_1Dataset.html#acda5580472dea133cc225f32d7e90246" title="This method interprets a list of CLI arguments. " alt="" coords="446,33,586,72"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="gae9ca3bf349ed3865e8a29b4dd4757ab9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otCommissionerEnergyScan </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>aChannelMask</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>aCount</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aPeriod</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aScanDuration</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="../../d6/d55/structotIp6Address.html">otIp6Address</a> *&#160;</td>
          <td class="paramname"><em>aAddress</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d42/group__core-commissioning.html#ga1f63c8d167d722b6d966216a099e5ca7">otCommissionerEnergyReportCallback</a>&#160;</td>
          <td class="paramname"><em>aCallback</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>aContext</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function sends an Energy Scan Query message. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aChannelMask</td><td>The channel mask value. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aCount</td><td>The number of energy measurements per channel. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aPeriod</td><td>The time between energy measurements (milliseconds). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aScanDuration</td><td>The scan duration for each energy measurement (milliseconds). </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aAddress</td><td>A pointer to the IPv6 destination. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aCallback</td><td>A pointer to a function called on receiving an Energy Report message. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aContext</td><td>A pointer to application-specific context.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully enqueued the Energy Scan Query message. </td></tr>
    <tr><td class="paramname">kThreadError_NoBufs</td><td>Insufficient buffers to generate an Energy Scan Query message. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d42/group__core-commissioning_gae9ca3bf349ed3865e8a29b4dd4757ab9_icgraph.png" border="0" usemap="#d7/d42/group__core-commissioning_gae9ca3bf349ed3865e8a29b4dd4757ab9_icgraph" alt=""/></div>
<map name="d7/d42/group__core-commissioning_gae9ca3bf349ed3865e8a29b4dd4757ab9_icgraph" id="d7/d42/group__core-commissioning_gae9ca3bf349ed3865e8a29b4dd4757ab9_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="612,5,768,44"/>
<area shape="rect" id="node3" href="../../df/d4f/group__config-general.html#ga9afd26ff6b646388b25f62dd650cd785" title="This function sends MGMT_PENDING_SET. " alt="" coords="244,36,376,61"/>
<area shape="rect" id="node4" href="../../df/d2d/classThread_1_1Cli_1_1Dataset.html#acda5580472dea133cc225f32d7e90246" title="This method interprets a list of CLI arguments. " alt="" coords="424,33,564,72"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ga22936071b82ace08544b3b40a585ee54"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otCommissionerPanIdQuery </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint16_t&#160;</td>
          <td class="paramname"><em>aPanId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>aChannelMask</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="../../d6/d55/structotIp6Address.html">otIp6Address</a> *&#160;</td>
          <td class="paramname"><em>aAddress</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/d42/group__core-commissioning.html#gae7b76d9f6372ce6169950694b976e89e">otCommissionerPanIdConflictCallback</a>&#160;</td>
          <td class="paramname"><em>aCallback</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>aContext</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function sends a PAN ID Query message. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aPanId</td><td>The PAN ID to query. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aChannelMask</td><td>The channel mask value. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aAddress</td><td>A pointer to the IPv6 destination. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aCallback</td><td>A pointer to a function called on receiving an Energy Report message. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aContext</td><td>A pointer to application-specific context.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully enqueued the PAN ID Query message. </td></tr>
    <tr><td class="paramname">kThreadError_NoBufs</td><td>Insufficient buffers to generate a PAN ID Query message. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d42/group__core-commissioning_ga22936071b82ace08544b3b40a585ee54_icgraph.png" border="0" usemap="#d7/d42/group__core-commissioning_ga22936071b82ace08544b3b40a585ee54_icgraph" alt=""/></div>
<map name="d7/d42/group__core-commissioning_ga22936071b82ace08544b3b40a585ee54_icgraph" id="d7/d42/group__core-commissioning_ga22936071b82ace08544b3b40a585ee54_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="611,5,766,44"/>
<area shape="rect" id="node3" href="../../df/d4f/group__config-general.html#ga9afd26ff6b646388b25f62dd650cd785" title="This function sends MGMT_PENDING_SET. " alt="" coords="242,36,375,61"/>
<area shape="rect" id="node4" href="../../df/d2d/classThread_1_1Cli_1_1Dataset.html#acda5580472dea133cc225f32d7e90246" title="This method interprets a list of CLI arguments. " alt="" coords="423,33,563,72"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ga7eca08cb99f4224e37476b67a348ad9f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otCommissionerRemoveJoiner </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aIntsance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="../../d3/d8f/structotExtAddress.html">otExtAddress</a> *&#160;</td>
          <td class="paramname"><em>aExtAddress</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function removes a Joiner entry. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aExtAddress</td><td>A pointer to the Joiner's extended address or NULL for any Joiner.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully added the Joiner. </td></tr>
    <tr><td class="paramname">kThreadError_NotFound</td><td>The Joiner specified by <code>aExtAddress</code> was not found. </td></tr>
    <tr><td class="paramname">kThreadError_InvalidArgs</td><td><code>aExtAddress</code> is invalid. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d42/group__core-commissioning_ga7eca08cb99f4224e37476b67a348ad9f_icgraph.png" border="0" usemap="#d7/d42/group__core-commissioning_ga7eca08cb99f4224e37476b67a348ad9f_icgraph" alt=""/></div>
<map name="d7/d42/group__core-commissioning_ga7eca08cb99f4224e37476b67a348ad9f_icgraph" id="d7/d42/group__core-commissioning_ga7eca08cb99f4224e37476b67a348ad9f_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="625,5,781,44"/>
<area shape="rect" id="node3" href="../../df/d4f/group__config-general.html#ga9afd26ff6b646388b25f62dd650cd785" title="This function sends MGMT_PENDING_SET. " alt="" coords="257,36,389,61"/>
<area shape="rect" id="node4" href="../../df/d2d/classThread_1_1Cli_1_1Dataset.html#acda5580472dea133cc225f32d7e90246" title="This method interprets a list of CLI arguments. " alt="" coords="437,33,577,72"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="gae331dc98d42e20b22a5e5fa1ef6495ab"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otCommissionerSetProvisioningUrl </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>aProvisioningUrl</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function sets the Provisioning URL. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aProvisioningUrl</td><td>A pointer to the Provisioning URL (may be NULL).</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully added the Joiner. </td></tr>
    <tr><td class="paramname">kThreadError_InvalidArgs</td><td><code>aProvisioningUrl</code> is invalid. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d42/group__core-commissioning_gae331dc98d42e20b22a5e5fa1ef6495ab_icgraph.png" border="0" usemap="#d7/d42/group__core-commissioning_gae331dc98d42e20b22a5e5fa1ef6495ab_icgraph" alt=""/></div>
<map name="d7/d42/group__core-commissioning_gae331dc98d42e20b22a5e5fa1ef6495ab_icgraph" id="d7/d42/group__core-commissioning_gae331dc98d42e20b22a5e5fa1ef6495ab_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="649,5,805,44"/>
<area shape="rect" id="node3" href="../../df/d4f/group__config-general.html#ga9afd26ff6b646388b25f62dd650cd785" title="This function sends MGMT_PENDING_SET. " alt="" coords="281,36,413,61"/>
<area shape="rect" id="node4" href="../../df/d2d/classThread_1_1Cli_1_1Dataset.html#acda5580472dea133cc225f32d7e90246" title="This method interprets a list of CLI arguments. " alt="" coords="461,33,601,72"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ga854253a3f0689c0ad92d0787a5c7da80"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otCommissionerStart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function enables the Thread Commissioner role. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully started the Commissioner role. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d42/group__core-commissioning_ga854253a3f0689c0ad92d0787a5c7da80_icgraph.png" border="0" usemap="#d7/d42/group__core-commissioning_ga854253a3f0689c0ad92d0787a5c7da80_icgraph" alt=""/></div>
<map name="d7/d42/group__core-commissioning_ga854253a3f0689c0ad92d0787a5c7da80_icgraph" id="d7/d42/group__core-commissioning_ga854253a3f0689c0ad92d0787a5c7da80_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="568,5,723,44"/>
<area shape="rect" id="node3" href="../../df/d4f/group__config-general.html#ga9afd26ff6b646388b25f62dd650cd785" title="This function sends MGMT_PENDING_SET. " alt="" coords="199,36,332,61"/>
<area shape="rect" id="node4" href="../../df/d2d/classThread_1_1Cli_1_1Dataset.html#acda5580472dea133cc225f32d7e90246" title="This method interprets a list of CLI arguments. " alt="" coords="380,33,520,72"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ga3cd811aefff2ff186e755cf74a7869ef"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otCommissionerStop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function disables the Thread Commissioner role. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully started the Commissioner role. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d42/group__core-commissioning_ga3cd811aefff2ff186e755cf74a7869ef_icgraph.png" border="0" usemap="#d7/d42/group__core-commissioning_ga3cd811aefff2ff186e755cf74a7869ef_icgraph" alt=""/></div>
<map name="d7/d42/group__core-commissioning_ga3cd811aefff2ff186e755cf74a7869ef_icgraph" id="d7/d42/group__core-commissioning_ga3cd811aefff2ff186e755cf74a7869ef_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="567,5,722,44"/>
<area shape="rect" id="node3" href="../../df/d4f/group__config-general.html#ga9afd26ff6b646388b25f62dd650cd785" title="This function sends MGMT_PENDING_SET. " alt="" coords="198,36,331,61"/>
<area shape="rect" id="node4" href="../../df/d2d/classThread_1_1Cli_1_1Dataset.html#acda5580472dea133cc225f32d7e90246" title="This method interprets a list of CLI arguments. " alt="" coords="379,33,519,72"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ga6d56d0dab4187a01e9b07e485398db36"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otJoinerStart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>aPSKd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>aProvisioningUrl</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function enables the Thread Joiner role. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aPSKd</td><td>A pointer to the PSKd. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aProvisioningUrl</td><td>A pointer to the Provisioning URL (may be NULL).</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully started the Commissioner role. </td></tr>
    <tr><td class="paramname">kThreadError_InvalidArgs</td><td><code>aPSKd</code> or <code>aProvisioningUrl</code> is invalid. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d42/group__core-commissioning_ga6d56d0dab4187a01e9b07e485398db36_icgraph.png" border="0" usemap="#d7/d42/group__core-commissioning_ga6d56d0dab4187a01e9b07e485398db36_icgraph" alt=""/></div>
<map name="d7/d42/group__core-commissioning_ga6d56d0dab4187a01e9b07e485398db36_icgraph" id="d7/d42/group__core-commissioning_ga6d56d0dab4187a01e9b07e485398db36_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="519,5,674,44"/>
<area shape="rect" id="node3" href="../../df/d4f/group__config-general.html#ga9afd26ff6b646388b25f62dd650cd785" title="This function sends MGMT_PENDING_SET. " alt="" coords="150,36,283,61"/>
<area shape="rect" id="node4" href="../../df/d2d/classThread_1_1Cli_1_1Dataset.html#acda5580472dea133cc225f32d7e90246" title="This method interprets a list of CLI arguments. " alt="" coords="331,33,471,72"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="gaf117a4c8483d3035d6d1a96684a0f6fa"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otJoinerStop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname"><em>aInstance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function disables the Thread Joiner role. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d42/group__core-commissioning_gaf117a4c8483d3035d6d1a96684a0f6fa_icgraph.png" border="0" usemap="#d7/d42/group__core-commissioning_gaf117a4c8483d3035d6d1a96684a0f6fa_icgraph" alt=""/></div>
<map name="d7/d42/group__core-commissioning_gaf117a4c8483d3035d6d1a96684a0f6fa_icgraph" id="d7/d42/group__core-commissioning_gaf117a4c8483d3035d6d1a96684a0f6fa_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="518,5,673,44"/>
<area shape="rect" id="node3" href="../../df/d4f/group__config-general.html#ga9afd26ff6b646388b25f62dd650cd785" title="This function sends MGMT_PENDING_SET. " alt="" coords="150,36,282,61"/>
<area shape="rect" id="node4" href="../../df/d2d/classThread_1_1Cli_1_1Dataset.html#acda5580472dea133cc225f32d7e90246" title="This method interprets a list of CLI arguments. " alt="" coords="330,33,470,72"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ga85d8a2ef989afe2475ba56ce0f732a60"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otSendMgmtCommissionerGet </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const uint8_t *&#160;</td>
          <td class="paramname"><em>aTlvs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>aLength</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function sends MGMT_COMMISSIONER_GET. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aTlvs</td><td>A pointer to TLVs. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aLength</td><td>The length of TLVs.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully send the meshcop dataset command. </td></tr>
    <tr><td class="paramname">kThreadError_NoBufs</td><td>Insufficient buffer space to send. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d42/group__core-commissioning_ga85d8a2ef989afe2475ba56ce0f732a60_icgraph.png" border="0" usemap="#d7/d42/group__core-commissioning_ga85d8a2ef989afe2475ba56ce0f732a60_icgraph" alt=""/></div>
<map name="d7/d42/group__core-commissioning_ga85d8a2ef989afe2475ba56ce0f732a60_icgraph" id="d7/d42/group__core-commissioning_ga85d8a2ef989afe2475ba56ce0f732a60_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="625,5,781,44"/>
<area shape="rect" id="node3" href="../../df/d4f/group__config-general.html#ga9afd26ff6b646388b25f62dd650cd785" title="This function sends MGMT_PENDING_SET. " alt="" coords="257,36,389,61"/>
<area shape="rect" id="node4" href="../../df/d2d/classThread_1_1Cli_1_1Dataset.html#acda5580472dea133cc225f32d7e90246" title="This method interprets a list of CLI arguments. " alt="" coords="437,33,577,72"/>
</map>
</div>
</p>

</div>
</div>
<a class="anchor" id="ga35893b93367df048361583d6d95496de"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../dc/dbf/openthread-types_8h.html#ab701d053a9c34ab7f11e43e0dc09ac9f">ThreadError</a> otSendMgmtCommissionerSet </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d2/d83/structotInstance.html">otInstance</a> *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="../../da/da0/structotCommissioningDataset.html">otCommissioningDataset</a> *&#160;</td>
          <td class="paramname"><em>aDataset</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const uint8_t *&#160;</td>
          <td class="paramname"><em>aTlvs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t&#160;</td>
          <td class="paramname"><em>aLength</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>This function sends MGMT_COMMISSIONER_SET. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">aInstance</td><td>A pointer to an OpenThread instance. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aDataset</td><td>A pointer to commissioning dataset. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aTlvs</td><td>A pointer to TLVs. </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">aLength</td><td>The length of TLVs.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">kThreadError_None</td><td>Successfully send the meshcop dataset command. </td></tr>
    <tr><td class="paramname">kThreadError_NoBufs</td><td>Insufficient buffer space to send. </td></tr>
  </table>
  </dd>
</dl>

<p><div class="dynheader">
Here is the caller graph for this function:</div>
<div class="dyncontent">
<div class="center"><img src="../../d7/d42/group__core-commissioning_ga35893b93367df048361583d6d95496de_icgraph.png" border="0" usemap="#d7/d42/group__core-commissioning_ga35893b93367df048361583d6d95496de_icgraph" alt=""/></div>
<map name="d7/d42/group__core-commissioning_ga35893b93367df048361583d6d95496de_icgraph" id="d7/d42/group__core-commissioning_ga35893b93367df048361583d6d95496de_icgraph">
<area shape="rect" id="node2" href="../../d5/dc2/structThread_1_1Cli_1_1Interpreter.html#a11ee1f86cffe17aab7de3de0bb16dee7" title="This method parses an ASCII string as an unsigned long. " alt="" coords="624,5,779,44"/>
<area shape="rect" id="node3" href="../../df/d4f/group__config-general.html#ga9afd26ff6b646388b25f62dd650cd785" title="This function sends MGMT_PENDING_SET. " alt="" coords="255,36,388,61"/>
<area shape="rect" id="node4" href="../../df/d2d/classThread_1_1Cli_1_1Dataset.html#acda5580472dea133cc225f32d7e90246" title="This method interprets a list of CLI arguments. " alt="" coords="436,33,576,72"/>
</map>
</div>
</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
